Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 619020 (CVE-2017-9060)

Summary: <app-emulation/qemu-2.9.0: virtio-gpu: host memory leakage in Virtio GPU device
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu+disabled
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=1452597
Whiteboard: B4 [glsa cve]
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2017-05-20 08:37:33 UTC
From ${URL} :

Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to a memory leakage issue. It could occur while processing
'VIRTIO_GPU_CMD_SET_SCANOUT:' command.

A guest user/process could use this flaw to leak host memory resulting in Dos.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=dd248ed7e204ee8a1873914e02b8b526e8f1b80d

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/05/19/1


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Matthias Maier gentoo-dev 2017-06-03 15:04:34 UTC
The fix is in upstream commit

  dd248ed7e204ee8a1873914e02b8b526e8f1b80d

which was already applied to the 2.9.0 release.


Security, please add to existing GLSA (bug #616874 and others).
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-06-03 15:26:13 UTC
Added to an existing GLSA.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-06-06 06:51:02 UTC
This issue was resolved and addressed in
 GLSA 201706-03 at https://security.gentoo.org/glsa/201706-03
by GLSA coordinator Yury German (BlueKnight).